class Stage < ApplicationRecord
  belongs_to :conference
  has_many :sessions

  validates :ref_id, uniqueness: { scope: :conference_id }

  has_many :relevant_stage_links, class_name: "RelevantStage"
  has_many :relevant_conferences, through: :relevant_stage_links, source: :conference
end
